"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RULE_NAME = void 0;
var utils_1 = require("../utils/utils");
exports.RULE_NAME = __filename.slice(__dirname.length + 1, -3);
exports.default = (0, utils_1.createRule)({
    name: exports.RULE_NAME,
    meta: {
        docs: {
            description: 'Disallow focused tests',
            recommended: 'warn',
        },
        messages: {
            noFocusedTests: 'Avoid focused tests',
        },
        schema: [],
        type: 'suggestion',
    },
    defaultOptions: [],
    create: function (context) {
        return {
            'CallExpression[callee.object.name=/^(describe|it|test)$/] Identifier[name=/^(only)$/]': function rule(node) {
                context.report({ node: node, messageId: 'noFocusedTests' });
            },
            'CallExpression[callee.object.object.name=/^(describe|it|test)$/] Identifier[name=/^(only)$/]': function rule(node) {
                context.report({ node: node, messageId: 'noFocusedTests' });
            },
            'CallExpression[callee.name=/^(fdescribe|fit|ftest)$/]': function rule(node) {
                context.report({ node: node, messageId: 'noFocusedTests' });
            },
        };
    },
});
