"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RULE_NAME = void 0;
var utils_1 = require("../utils/utils");
exports.RULE_NAME = __filename.slice(__dirname.length + 1, -3);
exports.default = (0, utils_1.createRule)({
    name: exports.RULE_NAME,
    meta: {
        docs: {
            description: 'Disallow tag name selector',
            recommended: 'error',
        },
        messages: {
            noTagNameSelector: 'Avoid tag name selector, use css selector instead',
        },
        schema: [],
        type: 'problem',
    },
    defaultOptions: [],
    create: function (context) {
        return {
            'CallExpression[callee.name=/^[$]$/] Literal[value]': function rule(node) {
                var tagNamePattern = new RegExp('<[0-9a-zA-Z-]+[ /]*>');
                if (tagNamePattern.test("" + node.value)) {
                    context.report({ node: node, messageId: 'noTagNameSelector' });
                }
            },
        };
    },
});
