"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RULE_NAME = void 0;
var utils_1 = require("../utils/utils");
exports.RULE_NAME = __filename.slice(__dirname.length + 1, -3);
exports.default = (0, utils_1.createRule)({
    name: exports.RULE_NAME,
    meta: {
        docs: {
            description: 'Disallow xpath selector',
            recommended: 'warn',
        },
        messages: {
            noXpathSelector: 'Avoid xpath selector, use css selector instead',
        },
        schema: [],
        type: 'suggestion',
    },
    defaultOptions: [],
    create: function (context) {
        return {
            'CallExpression[callee.name=/^[$]$/]': function rule(node) {
                var xpathPattern = new RegExp('^([/]|[(]|(../)|(./)|(\\*/))');
                if (xpathPattern.test((0, utils_1.getArgumentValue)(node))) {
                    context.report({
                        node: node,
                        messageId: 'noXpathSelector',
                    });
                }
            },
        };
    },
});
